CVE-2006-1397
CVSS4.3
发布时间 :2006-03-28 06:06:00
修订时间 :2011-03-07 21:33:01
NMCO    

[原文]Multiple cross-site scripting (XSS) vulnerabilities in (a) phpAdsNew and (b) phpPgAds before 2.0.8 allow remote attackers to inject arbitrary web script or HTML via the (1) certain parameters to the banner delivery module, which is not properly handled in the administrator interface, or (2) certain parameters to the login form.


[CNNVD]PHPAdsNew和PHPPGAds多个跨站脚本攻击漏洞(CNNVD-200603-461)

        在(a) phpAdsNew和(b) phpPgAds 2.0.8之前版本中存在多个跨站脚本攻击(XSS)漏洞,远程攻击者可通过以下途径注入任意Web脚本或HTML:(1)用于标志发送模块的某些参数,它们在管理接口中得不到妥善处理,或(2)用于login表中的某些参数。

- CVSS (基础分值)

CVSS分值: 4.3 [中等(MEDIUM)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: MEDIUM [漏洞利用存在一定的访问条件]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:phppgads:phppgads:2.0.4_pr2
cpe:/a:phpadsnew:phpadsnew:2.0.7
cpe:/a:phpadsnew:phpadsnew:2_dev_2001-10-09
cpe:/a:phpadsnew:phpadsnew:2.0
cpe:/a:phppgads:phppgads:2.0.7
cpe:/a:phpadsnew:phpadsnew:2.0.5
cpe:/a:phpadsnew:phpadsnew:2.0.2
cpe:/a:phpadsnew:phpadsnew:2.0.4
cpe:/a:phppgads:phppgads:2.0.5
cpe:/a:phppgads:phppgads:2.0.4
cpe:/a:phpadsnew:phpadsnew:2.0.3

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-1397
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2006-1397
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200603-461
(官方数据源) CNNVD

- 其它链接及资源

http://www.securityfocus.com/bid/17251
(PATCH)  BID  17251
http://www.securityfocus.com/archive/1/archive/1/428898/100/0/threaded
(PATCH)  BUGTRAQ  20060327 [PHPADSNEW-SA-2006-001] phpAdsNew and phpPgAds 2.0.8 fix multiple vulnerabilities
http://sourceforge.net/project/shownotes.php?release_id=404964
(PATCH)  CONFIRM  http://sourceforge.net/project/shownotes.php?release_id=404964
http://sourceforge.net/project/shownotes.php?release_id=404963
(PATCH)  CONFIRM  http://sourceforge.net/project/shownotes.php?release_id=404963
http://securitytracker.com/id?1015829
(PATCH)  SECTRACK  1015829
http://securitytracker.com/id?1015828
(PATCH)  SECTRACK  1015828
http://secunia.com/advisories/19384
(VENDOR_ADVISORY)  SECUNIA  19384
http://www.vupen.com/english/advisories/2006/1107
(UNKNOWN)  VUPEN  ADV-2006-1107
http://phpadsnew.com/two/nucleus/index.php?itemid=46
(UNKNOWN)  CONFIRM  http://phpadsnew.com/two/nucleus/index.php?itemid=46
http://xforce.iss.net/xforce/xfdb/25458
(UNKNOWN)  XF  phpadsnew-login-banner-xss(25458)
http://www.osvdb.org/24206
(UNKNOWN)  OSVDB  24206
http://www.osvdb.org/24205
(UNKNOWN)  OSVDB  24205
http://securityreason.com/securityalert/633
(UNKNOWN)  SREASON  633

- 漏洞信息

PHPAdsNew和PHPPGAds多个跨站脚本攻击漏洞
中危 跨站脚本
2006-03-28 00:00:00 2006-03-28 00:00:00
远程  
        在(a) phpAdsNew和(b) phpPgAds 2.0.8之前版本中存在多个跨站脚本攻击(XSS)漏洞,远程攻击者可通过以下途径注入任意Web脚本或HTML:(1)用于标志发送模块的某些参数,它们在管理接口中得不到妥善处理,或(2)用于login表中的某些参数。

- 公告与补丁

        目前厂商已经发布了升级补丁以修复这个安全问题,补丁下载链接:
        phpAdsNew phpAdsNew 2.0.7
        phpAdsNew phpAdsNew version 2.0.8-pr1
        http://prdownloads.sourceforge.net/phpadsnew/phpAdsNew-2.0.8-pr1.tar.gz?download
        phpAdsNew phpAdsNew 2.0.8
        phpAdsNew phpAdsNew version 2.0.8-pr1
        http://prdownloads.sourceforge.net/phpadsnew/phpAdsNew-2.0.8-pr1.tar.gz?download

- 漏洞信息

24205
phpPgAds / phpAdsNew Banner Delivery Scripts Unspecified XSS
Remote / Network Access Input Manipulation
Loss of Integrity
Exploit Unknown Vendor Verified

- 漏洞描述

phpAdsNew / phpPgAds contain a flaw that allows a remote cross site scripting attack. This flaw exists because the application does not validate unspecified variables upon submission to the banner delivery scripts before being displayed in the admin interface. This could allow a user to create a specially crafted URL that would execute arbitrary code in a user's browser within the trust relationship between the browser and the server, leading to a loss of integrity.

- 时间线

2006-03-27 Unknow
Unknow Unknow

- 解决方案

Upgrade to version 2.0.8 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站